> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hightouch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List IDR runs

> List runs for a given IDR graph



## OpenAPI

````yaml https://api.hightouch.io/api/swagger.json get /idr/{graphId}/runs
openapi: 3.0.0
info:
  title: Hightouch API
  version: 1.0.0
  description: Hightouch Public Rest API to access syncs, models, sources and destinations
  contact:
    name: Hightouch
    url: https://hightouch.com
servers:
  - url: https://api.hightouch.com/api/v1
security: []
paths:
  /idr/{graphId}/runs:
    get:
      summary: List IDR runs
      description: List runs for a given IDR graph
      operationId: ListIdrRuns
      parameters:
        - description: Required. ID of the graph to list runs for.
          in: path
          name: graphId
          required: true
          schema:
            type: string
        - description: Run ID to query for.
          in: query
          name: runId
          required: false
          schema:
            type: string
        - description: Select runs that started on or after this ISO timestamp.
          in: query
          name: after
          required: false
          schema:
            type: string
            format: date-time
        - description: Select runs that started on or before this ISO timestamp.
          in: query
          name: before
          required: false
          schema:
            type: string
            format: date-time
        - description: Maximum number of runs to return.
          in: query
          name: limit
          required: false
          schema:
            default: 20
            format: double
            type: number
        - description: Offset to start at for pagination.
          in: query
          name: offset
          required: false
          schema:
            default: 0
            format: double
            type: number
        - description: Field to sort by.
          in: query
          name: orderBy
          required: false
          schema:
            default: created_at
            type: string
            enum:
              - created_at
              - started_at
              - finished_at
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListIdrRunsOutput'
              examples:
                Example 1:
                  value:
                    data:
                      - id: 715eba82-2097-4c1b-91c0-ae7c279c763a
                        graphId: e9037b3e-2401-48f9-85eb-8c6e75e3a813
                        status: SUCCESS
                        createdAt: '2025-06-01T00:00:00.000Z'
                        startedAt: '2025-06-01T00:00:01.000Z'
                        finishedAt: '2025-06-01T00:00:02.000Z'
                        fullRerun: false
                        stats:
                          deterministic:
                            numUniqueProfiles: 100
                            numNewUniqueProfiles: 50
                            numSourceRows: 1000
                    hasMore: true
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '422':
          description: Validation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateErrorJSON'
      security:
        - bearerAuth: []
components:
  schemas:
    ListIdrRunsOutput:
      description: The output of a request to list runs for an IDR graph.
      properties:
        data:
          items:
            $ref: '#/components/schemas/IdrRun'
          type: array
        hasMore:
          type: boolean
      required:
        - data
        - hasMore
      type: object
      additionalProperties: false
    ValidateErrorJSON:
      properties:
        message:
          type: string
          enum:
            - Validation failed
          nullable: false
        details:
          properties: {}
          additionalProperties: {}
          type: object
      required:
        - message
        - details
      type: object
      additionalProperties: false
    IdrRun:
      properties:
        fullRerun:
          type: boolean
        stats:
          $ref: '#/components/schemas/IdrRunStatsByThreshold'
          description: If available, the stats at the end of a successful run.
        finishedAt:
          type: string
          format: date-time
          description: >-
            Timestamp of the run's completion. Only set for successful or failed
            runs.
        startedAt:
          type: string
          format: date-time
          description: Timestamp of the run's start. Not set for queued runs.
        createdAt:
          type: string
          format: date-time
        error:
          type: string
          description: If available, the error associated with a failed status.
        status:
          type: string
          enum:
            - QUEUED
            - PROCESSING
            - SUCCESS
            - FAILURE
            - CANCELLED
        graphId:
          type: string
        id:
          type: string
      required:
        - fullRerun
        - createdAt
        - status
        - graphId
        - id
      type: object
    IdrRunStatsByThreshold:
      properties:
        probabilistic-loose:
          $ref: '#/components/schemas/IdrRunStats'
        probabilistic-strict:
          $ref: '#/components/schemas/IdrRunStats'
        deterministic:
          $ref: '#/components/schemas/IdrRunStats'
      additionalProperties:
        $ref: '#/components/schemas/IdrRunStats'
      type: object
    IdrRunStats:
      properties:
        numSourceRows:
          type: number
          format: double
          description: The exact number of rows processed from sources in this run.
        numNewUniqueProfiles:
          type: number
          format: double
          description: >-
            The exact number of unique profiles in the graph created during this
            run.
        numUniqueProfiles:
          type: number
          format: double
          description: >-
            The exact number of unique profiles in the graph at the end of the
            run.
      required:
        - numSourceRows
        - numNewUniqueProfiles
        - numUniqueProfiles
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````